# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlWX/vlWXGLCanvas.hpp File Reference

`#include <vl/OpenGLContext.hpp>`
`#include <vl/Time.hpp>`
`#include "wx/frame.h"`
`#include "wx/glcanvas.h"`
`#include "wx/timer.h"`
`#include "wx/dcclient.h"`
`#include "wx/image.h"`
`#include "wx/app.h"`

## Classes

class | vlWX::vlWXGLCanvas
| The vlWXGLCanvas class implements a vl::OpenGLContext using the wxWidgets library. More...

## Namespaces

namespace | vlWX
| The wxWidgets bindings namespace.

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:30 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.